Description

It would be nice to have the same one click filter behavior in the search view as in the activity view (#2857) for the exact same
reasons.

Related issues:
Related to Redmine - Feature #3912: Add support for AND's and OR's in search New 2009-09-24
Related to Redmine - Feature #992: Option to search open issues only Closed 2008-04-04

Associated revisions

Revision 12080 - 2013-08-05 19:19 - Jean-Philippe Lang

One click filter in search view (#2865).

History

#1 - 2013-03-18 09:48 - Dipan Mehta

Is this the same as having to "save" queries and click at once to see the specific issue view?

#2 - 2013-03-18 11:46 - Daniel Felix
- Target version set to 2.4.0
No, he mean the link behavior of the search types. Here is a quick example:
e Go to activity.
¢ there are many types (issues, news, etc) checked by default.
® you just want to see the time log
e way 1: uncheck all preselected, check time log, apply
L]

way 2: click on time logs link

On the search module, this is different. Everything is checked by default and you have to uncheck all types and reapply the search.
This could be improved by the described behavior above.

The logic behind this is already in Redmine. This needs to be ported to the search, which is currently not the best solution. There could be some
improvement. :-)

Maybe this could find its way in 2.4?

#3 - 2013-03-18 19:20 - Fernando Hartmann
| think this is related to #992 and #3912

#4 - 2013-03-18 20:02 - Daniel Felix
Relation added. Thanks for the hint.

#5 - 2013-03-20 20:41 - Peter Van den Bosch

Daniel Felix wrote:

No, he mean the link behavior of the search types.

Yep, that's what | meant. Thanks for picking this up again.
https://www.redmine.org/issues/2857
https://www.redmine.org/issues/992
https://www.redmine.org/issues/3912

#6 - 2013-08-05 19:20 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r12080.
